Index: branches/v2_0_0_prep/extensions/extDataLocator/src/org/gvsig/datalocator/DataLocatorExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extDataLocator/src/org/gvsig/datalocator/DataLocatorExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extDataLocator/src/org/gvsig/datalocator/DataLocatorExtension.java	(revision 38564)
@@ -45,6 +45,7 @@
 
 import java.util.prefs.Preferences;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.mdiManager.IWindow;
@@ -80,29 +81,27 @@
     }
 
     private void registerIcons(){
-    	//view-locator
-    	PluginServices.getIconTheme().registerDefault(
-				"view-locator",
-				this.getClass().getClassLoader().getResource("images/locator.png")
-			);
+    	IconThemeHelper.registerIcon("action", "view-navigation-locator-by-attribute", this);
     }
 
     /* (non-Javadoc)
      * @see com.iver.andami.plugins.Extension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-		DefaultViewPanel vista = (DefaultViewPanel)PluginServices.getMDIManager().getActiveWindow();
-		MapContext mapContext = vista.getModel().getMapContext();
-		DataSelectionPanel dataSelectionPanel = new DataSelectionPanel(mapContext);
-		WindowInfo vi = dataSelectionPanel.getWindowInfo();
-		vi.setX(Preferences.userRoot().getInt("gvSIG.DataLocator.x", vi.getX()));
-		vi.setY(Preferences.userRoot().getInt("gvSIG.DataLocator.y", vi.getY()));
-//		vi.setWidth(Preferences.userRoot().getInt("gvSIG.DataLocator.w", vi.getWidth()));
-//		vi.setHeight(Preferences.userRoot().getInt("gvSIG.DataLocator.h", vi.getHeight()));
-
-		PluginServices.getMDIManager().addWindow(dataSelectionPanel);
-		iWDataSelection = dataSelectionPanel;
-		iWDataSelection.getWindowInfo();
+    	if( "view-navigation-locator-by-attribute".equalsIgnoreCase(actionCommand))  {
+			DefaultViewPanel vista = (DefaultViewPanel)PluginServices.getMDIManager().getActiveWindow();
+			MapContext mapContext = vista.getViewDocument().getMapContext();
+			DataSelectionPanel dataSelectionPanel = new DataSelectionPanel(mapContext);
+			WindowInfo vi = dataSelectionPanel.getWindowInfo();
+			vi.setX(Preferences.userRoot().getInt("gvSIG.DataLocator.x", vi.getX()));
+			vi.setY(Preferences.userRoot().getInt("gvSIG.DataLocator.y", vi.getY()));
+	//		vi.setWidth(Preferences.userRoot().getInt("gvSIG.DataLocator.w", vi.getWidth()));
+	//		vi.setHeight(Preferences.userRoot().getInt("gvSIG.DataLocator.h", vi.getHeight()));
+	
+			PluginServices.getMDIManager().addWindow(dataSelectionPanel);
+			iWDataSelection = dataSelectionPanel;
+			iWDataSelection.getWindowInfo();
+    	}
     }
 
     /* (non-Javadoc)
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/execution/InstallPackageExtension.java	(revision 38564)
@@ -33,6 +33,7 @@
 import java.net.MalformedURLException;
 import java.net.URL;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.andami.PluginsManager;
@@ -54,15 +55,18 @@
 			.getLogger(InstallPackageExtension.class);
 
 	public void execute(String actionCommand) {
-		PluginsManager manager = PluginsLocator.getManager();
-		try {
-			PluginServices.getMDIManager().addCentredWindow(
-					new InstallPackageWindow(manager.getApplicationFolder(),
-							manager.getInstallFolder()));
-		} catch (Error e) {
-			LOG.error("Error creating the wizard to install a package ", e);
-		} catch (Exception e) {
-			LOG.error("Error creating the wizard to install a package ", e);
+		if ("tools-addonsmanager".equalsIgnoreCase(actionCommand)) {
+			PluginsManager manager = PluginsLocator.getManager();
+			try {
+				PluginServices.getMDIManager().addCentredWindow(
+						new InstallPackageWindow(
+								manager.getApplicationFolder(), manager
+										.getInstallFolder()));
+			} catch (Error e) {
+				LOG.error("Error creating the wizard to install a package ", e);
+			} catch (Exception e) {
+				LOG.error("Error creating the wizard to install a package ", e);
+			}
 		}
 	}
 
@@ -71,6 +75,8 @@
 		InstallerLocator.getInstallerManager().setVersion(
 				version.getFormat() + "-" + version.getBuildId());
 		try {
+			IconThemeHelper.registerIcon("action", "tools-addonsmanager", this);
+	    	
 			SwingInstallerManager manager = SwingInstallerLocator
 					.getSwingInstallerManager();
 			
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer.app/org.gvsig.installer.app.extension/src/main/java/org/gvsig/installer/app/extension/creation/MakePluginPackageExtension.java	(revision 38564)
@@ -47,14 +47,18 @@
 			.getLogger(MakePluginPackageExtension.class);
 
 	public void execute(String actionCommand) {
-		PluginsManager manager = PluginsLocator.getManager();
+		if ("tools-devel-pack-plugin".equalsIgnoreCase(actionCommand)) {
+			PluginsManager manager = PluginsLocator.getManager();
 
-		try {
-			PluginServices.getMDIManager().addCentredWindow(
-					new MakePluginPackageWindow(manager.getApplicationFolder(),
-							manager.getInstallFolder()));
-		} catch (Exception e) {
-			LOG.error("Error creating teh wizard to create an installer ", e);
+			try {
+				PluginServices.getMDIManager().addCentredWindow(
+						new MakePluginPackageWindow(manager
+								.getApplicationFolder(), manager
+								.getInstallFolder()));
+			} catch (Exception e) {
+				LOG.error("Error creating teh wizard to create an installer ",
+						e);
+			}
 		}
 	}
 
Index: branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/src/main/java/org/gvsig/daltransform/swing/impl/DefaultDataTransformWizard.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/src/main/java/org/gvsig/daltransform/swing/impl/DefaultDataTransformWizard.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/src/main/java/org/gvsig/daltransform/swing/impl/DefaultDataTransformWizard.java	(revision 38564)
@@ -29,6 +29,7 @@
 
 import java.util.List;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.ui.mdiManager.IWindow;
 import org.gvsig.andami.ui.wizard.WizardAndami;
@@ -61,7 +62,7 @@
      * @param wizard
      */
     public DefaultDataTransformWizard() {
-        super(PluginServices.getIconTheme().get("feature-transform"));
+        super(IconThemeHelper.getImageIcon("feature-transform-tools"));
         loadLayerWizardPanel = new LoadLayerWizardPanel();
         selectDataStoreWizardPanel = new SelectDataStoreWizardPanel();
         selectTransformWizardPanel = new SelectTransformWizardPanel();
Index: branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/src/main/java/org/gvsig/daltransform/app/mainplugin/DataTransformExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/src/main/java/org/gvsig/daltransform/app/mainplugin/DataTransformExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.daltransform.app.mainplugin/src/main/java/org/gvsig/daltransform/app/mainplugin/DataTransformExtension.java	(revision 38564)
@@ -32,6 +32,7 @@
 
 import javax.swing.JOptionPane;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.ToolsWindowManager;
@@ -98,7 +99,7 @@
      * @see com.iver.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
+    	IconThemeHelper.registerIcon("feature-transform-tools", "feature-transform-wizard", this);
     }
 
     /*
@@ -111,13 +112,6 @@
         super.postInitialize();
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault(
-            "feature-transform",
-            this.getClass().getClassLoader()
-                .getResource("images/transform.png"));
-    }
-
     /*
      * (non-Javadoc)
      * 
Index: branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/AddXYPointThemeExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/AddXYPointThemeExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/AddXYPointThemeExtension.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.geometrymeasurement.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.app.project.documents.table.TableDocument;
 import org.gvsig.fmap.dal.feature.FeatureStore;
@@ -38,13 +39,7 @@
 
     public void initialize() {
         super.initialize();
-        
-        //Register the icon
-        PluginServices.getIconTheme().registerDefault(
-            "add-xy-point",
-            this.getClass().getClassLoader().getResource(
-                "org/gvsig/geometrymeasurement/app/extension/images/xypoint.png")
-        );
+        IconThemeHelper.registerIcon("action", "table-add-xy", this);
     }
 
     @Override
Index: branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/AreaMeasurementExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/AreaMeasurementExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/AreaMeasurementExtension.java	(revision 38564)
@@ -21,7 +21,7 @@
  */
 package org.gvsig.geometrymeasurement.app.extension;
 
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.app.project.documents.table.TableDocument;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.geom.Geometry;
@@ -38,13 +38,7 @@
 
     public void initialize() {
     super.initialize();
-        
-        //Register the icon
-        PluginServices.getIconTheme().registerDefault(
-            "add-area",
-            this.getClass().getClassLoader().getResource(
-                "org/gvsig/geometrymeasurement/app/extension/images/area.png")
-        );
+        IconThemeHelper.registerIcon("action", "table-add-area", this);
     }
 
     @Override
Index: branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/PerimeterMeasurementExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/PerimeterMeasurementExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.extension/src/main/java/org/gvsig/geometrymeasurement/app/extension/PerimeterMeasurementExtension.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.geometrymeasurement.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.app.project.documents.table.TableDocument;
 import org.gvsig.fmap.dal.feature.FeatureStore;
@@ -37,14 +38,8 @@
     AbstractGeometryMeasurementExtension {
 
     public void initialize() {
-    super.initialize();
-        
-        //Register the icon
-        PluginServices.getIconTheme().registerDefault(
-            "add-perimeter",
-            this.getClass().getClassLoader().getResource(
-                "org/gvsig/geometrymeasurement/app/extension/images/perimeter.png")
-        );
+    	super.initialize();
+        IconThemeHelper.registerIcon("action", "table-add-perimeter", this);
     }
 
     @Override
Index: branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/project/documents/table/GraphicOperator.java
===================================================================
--- branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/project/documents/table/GraphicOperator.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/project/documents/table/GraphicOperator.java	(revision 38564)
@@ -6,7 +6,6 @@
 import org.gvsig.fmap.geom.Geometry;
 import org.gvsig.fmap.geom.GeometryLocator;
 import org.gvsig.fmap.geom.GeometryManager;
-import org.gvsig.fmap.geom.util.Converter;
 import org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect;
 
 /**
Index: branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/ExpressionFieldExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/ExpressionFieldExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/ExpressionFieldExtension.java	(revision 38564)
@@ -5,12 +5,9 @@
 import java.util.Iterator;
 
 import javax.swing.JOptionPane;
-import javax.swing.plaf.OptionPaneUI;
 
 import org.apache.bsf.BSFManager;
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -78,6 +75,8 @@
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.extensionpoint.ExtensionPoint;
 import org.gvsig.utils.swing.threads.AbstractMonitorableTask;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * @author Vicente Caballero Navarro
@@ -97,20 +96,22 @@
 	}
 
 	public void execute(String actionCommand) {
-		org.gvsig.andami.ui.mdiManager.IWindow window = PluginServices.getMDIManager().getActiveWindow();
-		table=(FeatureTableDocumentPanel)window;
-		if (!table.getModel().getStore().isEditing()){
-			int option=JOptionPane.showConfirmDialog((Component)PluginServices.getMainFrame(), PluginServices.getText(this,"is_not_in_editing_are_you_sure"));
-			if (option != JOptionPane.OK_OPTION){
-				return;
+		if( "table-expression-field".equalsIgnoreCase(actionCommand) ) {
+	 		org.gvsig.andami.ui.mdiManager.IWindow window = PluginServices.getMDIManager().getActiveWindow();
+			table=(FeatureTableDocumentPanel)window;
+			if (!table.getModel().getStore().isEditing()){
+				int option=JOptionPane.showConfirmDialog((Component)PluginServices.getMainFrame(), PluginServices.getText(this,"is_not_in_editing_are_you_sure"));
+				if (option != JOptionPane.OK_OPTION){
+					return;
+				}
 			}
+			if (operators.isEmpty()) {
+				PluginServices.cancelableBackgroundExecution(new EvalOperatorsTask());
+	        }else{
+	        	 EvalExpressionDialog eed=new EvalExpressionDialog(table,interpreter,operators);
+			     PluginServices.getMDIManager().addWindow(eed);
+	        }
 		}
-		if (operators.isEmpty()) {
-			PluginServices.cancelableBackgroundExecution(new EvalOperatorsTask());
-        }else{
-        	 EvalExpressionDialog eed=new EvalExpressionDialog(table,interpreter,operators);
-		     PluginServices.getMDIManager().addWindow(eed);
-        }
 	}
 	public void postInitialize() {
 
@@ -207,15 +208,8 @@
 	}
 
 	 private void registerIcons(){
-		 PluginServices.getIconTheme().registerDefault(
-					"ext-kcalc",
-					this.getClass().getClassLoader().getResource("images/kcalc.png")
-				);
-
-		 PluginServices.getIconTheme().registerDefault(
-					"field-expression-kcalc",
-					this.getClass().getClassLoader().getResource("images/FieldExpression.png")
-				);
+		 IconThemeHelper.registerIcon("action", "table-expression-field", this);
+		 IconThemeHelper.registerIcon("action", "expression-field-preferences", this);
 	 }
 
 	 private class EvalOperatorsTask extends AbstractMonitorableTask{
Index: branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/gui/FieldExpressionPage.java
===================================================================
--- branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/gui/FieldExpressionPage.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extExpressionField/src/org/gvsig/expressionfield/gui/FieldExpressionPage.java	(revision 38564)
@@ -137,7 +137,7 @@
 
 	public FieldExpressionPage() {
 		super();
-		icon=PluginServices.getIconTheme().get("field-expression-kcalc");
+		icon=PluginServices.getIconTheme().get("expression-field-preferences");
 		addComponent(getJTextArea());
 
 		addComponent(PluginServices.getText(this, "limit_rows_in_memory") + ":",
Index: branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/actions/PdfHyperlinkPanel.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/actions/PdfHyperlinkPanel.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/actions/PdfHyperlinkPanel.java	(revision 38564)
@@ -37,13 +37,11 @@
 import java.beans.PropertyChangeEvent;
 import java.beans.PropertyChangeListener;
 import java.net.URI;
-import java.net.URL;
 
 import javax.print.attribute.HashPrintRequestAttributeSet;
 import javax.print.attribute.PrintRequestAttributeSet;
 import javax.print.attribute.SetOfIntegerSyntax;
 import javax.print.attribute.standard.PageRanges;
-import javax.swing.ImageIcon;
 import javax.swing.JButton;
 import javax.swing.JLabel;
 import javax.swing.JOptionPane;
@@ -51,6 +49,7 @@
 import javax.swing.JScrollPane;
 import javax.swing.JTextField;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.ui.mdiManager.IWindow;
@@ -75,6 +74,16 @@
     private JLabel pageCounter3 =
         new JLabel(PluginServices.getText(this, "de"));
 
+    public static void initializeIcons() {
+    	IconThemeHelper.registerIcon("toolbar-go", "go-next", PdfHyperlinkPanel.class);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-previous", PdfHyperlinkPanel.class);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-next-fast", PdfHyperlinkPanel.class);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-previous-fast", PdfHyperlinkPanel.class);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-first", PdfHyperlinkPanel.class);
+    	IconThemeHelper.registerIcon("toolbar-go", "go-last", PdfHyperlinkPanel.class);
+    	IconThemeHelper.registerIcon("action", "document-print", PdfHyperlinkPanel.class);
+    }
+
     public PdfHyperlinkPanel(URI doc) {
         super(doc);
         initialize();
@@ -176,8 +185,7 @@
         /** back to page 1 */
         JButton start = new JButton();
         start.setBorderPainted(false);
-        URL startImage = PluginServices.getPluginServices(this).getClassLoader().getResource("images/start.gif");
-        start.setIcon(new ImageIcon(startImage));
+        start.setIcon( IconThemeHelper.getImageIcon("go-first"));      
         start.setToolTipText(PluginServices.getText(this, "primera_pagina"));
         // currentBar1.add(start);
         list[0] = start;
@@ -204,8 +212,7 @@
         /** back 10 icon */
         JButton fback = new JButton();
         fback.setBorderPainted(false);
-        URL fbackImage = PluginServices.getPluginServices(this).getClassLoader().getResource("images/fback.gif");
-        fback.setIcon(new ImageIcon(fbackImage));
+        fback.setIcon( IconThemeHelper.getImageIcon("go-previous-fast"));
         fback.setToolTipText(PluginServices.getText(this, "diez_paginas_atras"));
         // currentBar1.add(fback);
         list[1] = fback;
@@ -232,8 +239,8 @@
         /** back icon */
         JButton back = new JButton();
         back.setBorderPainted(false);
-        URL backImage = PluginServices.getPluginServices(this).getClassLoader().getResource("images/back.gif");
-        back.setIcon(new ImageIcon(backImage));
+        back.setIcon( IconThemeHelper.getImageIcon("go-previous"));      
+
         back.setToolTipText(PluginServices.getText(this, "pagina_atras"));
         // currentBar1.add(back);
         list[2] = back;
@@ -309,8 +316,7 @@
         /** forward icon */
         JButton forward = new JButton();
         forward.setBorderPainted(false);
-        URL fowardImage = PluginServices.getPluginServices(this).getClassLoader().getResource("images/forward.gif");
-        forward.setIcon(new ImageIcon(fowardImage));
+        forward.setIcon( IconThemeHelper.getImageIcon("go-next"));      
         forward.setToolTipText(PluginServices.getText(this, "pagina_delante"));
         // currentBar1.add(forward);
         list[8] = forward;
@@ -337,8 +343,7 @@
         /** fast forward icon */
         JButton fforward = new JButton();
         fforward.setBorderPainted(false);
-        URL ffowardImage = PluginServices.getPluginServices(this).getClassLoader().getResource("images/fforward.gif");
-        fforward.setIcon(new ImageIcon(ffowardImage));
+        fforward.setIcon( IconThemeHelper.getImageIcon("go-next-fast"));      
         fforward.setToolTipText(PluginServices.getText(this,
             "10_paginas_delante"));
         // currentBar1.add(fforward);
@@ -366,8 +371,7 @@
         /** goto last page */
         JButton end = new JButton();
         end.setBorderPainted(false);
-        URL endImage = PluginServices.getPluginServices(this).getClassLoader().getResource("images/end.gif");
-        end.setIcon(new ImageIcon(endImage));
+        end.setIcon( IconThemeHelper.getImageIcon("go-last"));      
         end.setToolTipText(PluginServices.getText(this, "ultima_pagina"));
         // currentBar1.add(end);
         list[10] = end;
@@ -394,8 +398,7 @@
         /** Print */
         JButton print = new JButton();
         print.setBorderPainted(false);
-        URL printImage = PluginServices.getPluginServices(this).getClassLoader().getResource("images/print.gif");
-        print.setIcon(new ImageIcon(printImage));
+        print.setIcon( IconThemeHelper.getImageIcon("document-print"));      
         print.setToolTipText(PluginServices.getText(this, "imprimir"));
         // currentBar1.add(end);
         list[11] = print;
Index: branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/HyperlinkExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/HyperlinkExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/HyperlinkExtension.java	(revision 38564)
@@ -26,6 +26,7 @@
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.mdiManager.IWindow;
@@ -270,8 +271,7 @@
     }
 
     public void initialize() {
-        // Do nothing
-        
+    	IconThemeHelper.registerIcon("action", "view-hyperlink", this);
     }
 
 }
Index: branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/LinkListener.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/LinkListener.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.hyperlink.app/org.gvsig.hyperlink.app.extension/src/main/java/org/gvsig/hyperlink/app/extension/LinkListener.java	(revision 38564)
@@ -28,10 +28,8 @@
 import java.awt.Toolkit;
 import java.awt.geom.Point2D;
 import java.net.URI;
-import java.net.URL;
 
-import javax.swing.ImageIcon;
-
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.app.project.documents.view.toolListeners.InfoListener;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
@@ -68,7 +66,7 @@
     private Cursor cur = null;
     private MapControl mapCtrl;
     private ManagerRegistry registry;
-    private Image imageCursor = null;
+//    private Image imageCursor = null;
     public static final int TYPELINKIMAGE = 0;
     public static final int TYPELINKTEXT = 1;
     public ExtensionPoint formatManagers;
@@ -89,21 +87,9 @@
     }
 
     private void initialize() {
-        URL url =
-            PluginServices.getPluginServices(this)
-                .getClassLoader()
-                .getResource("images/LinkCursor.gif");
-        if (url != null) {
-            ImageIcon img = new ImageIcon(url);
-            imageCursor = img.getImage();
-            cur =
-                Toolkit.getDefaultToolkit().createCustomCursor(imageCursor,
+        cur = Toolkit.getDefaultToolkit().createCustomCursor(this.getImageCursor(),
                     new Point(16, 16),
                     "Hyperlink");
-        } else {
-            PluginServices.getLogger()
-                .error("Icon not found: images/LinkCursor.gif");
-        }
     }
 
     /**
@@ -219,6 +205,6 @@
     }
 
     public Image getImageCursor() {
-        return imageCursor;
+    	return IconThemeHelper.getImage("cursor-hyperlink");
     }
 }
Index: branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/src/main/java/org/gvsig/selectiontools/app/extension/SelectByBufferExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/src/main/java/org/gvsig/selectiontools/app/extension/SelectByBufferExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/src/main/java/org/gvsig/selectiontools/app/extension/SelectByBufferExtension.java	(revision 38564)
@@ -26,6 +26,7 @@
 
 import javax.swing.JOptionPane;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.mdiManager.IWindow;
@@ -54,16 +55,10 @@
      * @see com.iver.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
+    	IconThemeHelper.registerIcon("action", "selection-select-by-buffer", this);
+    	IconThemeHelper.registerIcon("cursor", "cursor-select-by-buffer", this);
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault("select-by-buffer-icon",
-            this.getClass()
-                .getClassLoader()
-                .getResource("images/select-by-buffer-icon.png"));
-    }
-
     /*
      * (non-Javadoc)
      * 
Index: branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/src/main/java/org/gvsig/selectiontools/app/extension/SelectByPolylineExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/src/main/java/org/gvsig/selectiontools/app/extension/SelectByPolylineExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.extension/src/main/java/org/gvsig/selectiontools/app/extension/SelectByPolylineExtension.java	(revision 38564)
@@ -22,6 +22,7 @@
  * 
  */
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.mdiManager.IWindow;
@@ -54,22 +55,10 @@
      * @see com.iver.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
+    	IconThemeHelper.registerIcon("action", "selection-select-by-polyline", this);
+    	IconThemeHelper.registerIcon("cursor", "cursor-select-by-polyline", this);
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault("polyline-cursor-icon",
-            this.getClass()
-                .getClassLoader()
-                .getResource("images/polyline-cursor-icon.png"));
-
-        PluginServices.getIconTheme()
-            .registerDefault("select-by-polyline-icon",
-                this.getClass()
-                    .getClassLoader()
-                    .getResource("images/select-by-polyline-icon.png"));
-    }
-
     /*
      * (non-Javadoc)
      * 
